#! /usr/bin/env python
import os
import time
import tweepy
from didyoumean3.didyoumean import did_you_mean


class Tweeper(object):

    def __init__(self):
        auth = tweepy.OAuthHandler(
            os.environ["ZOO_DAWA_KEY"],
            os.environ["ZOO_DAWA_KEY_SECRET"])
        auth.set_access_token(
            os.environ["ZOO_DAWA_TOKEN"],
            os.environ["ZOO_DAWA_TOKEN_SECRET"])
        self.api = tweepy.API(auth)

    def tweet(self, message):
        """Tweets a message after spellchecking it."""
        message = did_you_mean(message)
        print("About to tweet:", message)
        time.sleep(5)
        self.api.update_status(message)


def main():
    Tweeper().tweet("le business réel de la saint-valentin")
# Nous la nuit de la renaissance j’étais la tête

# Authenticate to Twitter
# tassepés en panel
# grands brûlés de la chine
# La nuit est belle, ma chérie salue sur la capuche
# Je suis pas étonné de dire pétrin
# Femme qui crame strasbourg
if __name__ == '__main__':
    main()
